# Uses of Class
org.eclipse.ecf.core.util.ECFException

Packages that use ECFException
Package
Description
org.eclipse.ecf.core
org.eclipse.ecf.core.provider
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.util
org.eclipse.ecf.filetransfer
org.eclipse.ecf.filetransfer.identity
org.eclipse.ecf.provider.comm
org.eclipse.ecf.provider.comm.tcp
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.client
org.eclipse.ecf.remoteservice.rest
org.eclipse.ecf.remoteservice.rest.client

## Uses of ECFException in org.eclipse.ecf.core

Subclasses of ECFException in org.eclipse.ecf.core
Modifier and Type
Class
Description
`class`
`ContainerAuthenticationException`
Exception class to be thrown upon authentication failure during connect
`class`
`ContainerConnectException`
Exception class to be thrown upon connection failure.
`class`
`ContainerCreateException`
Exception thrown during container creation

## Uses of ECFException in org.eclipse.ecf.core.provider

Subclasses of ECFException in org.eclipse.ecf.core.provider
Modifier and Type
Class
Description
`class`
`ContainerIntentException`

## Uses of ECFException in org.eclipse.ecf.core.sharedobject

Subclasses of ECFException in org.eclipse.ecf.core.sharedobject
Modifier and Type
Class
Description
`class`
`SharedObjectAddAbortException`
Exception thrown during transactional add of shared object
`class`
`SharedObjectAddException`
Exception thrown upon shared object add to container
`class`
`SharedObjectConnectException`
Exception thrown when creating connector between shared object
`class`
`SharedObjectCreateException`
Exception thrown upon shared object create by `ISharedObjectManager`
`class`
`SharedObjectDisconnectException`
Exception thrown upon `ISharedObjectManager.disconnectSharedObjects(ISharedObjectConnector)`
`class`
`SharedObjectInitException`
Exception thrown during calls to `ISharedObject.init(ISharedObjectConfig)`

## Uses of ECFException in org.eclipse.ecf.core.sharedobject.util

Subclasses of ECFException in org.eclipse.ecf.core.sharedobject.util
Modifier and Type
Class
Description
`class`
`QueueException`

## Uses of ECFException in org.eclipse.ecf.filetransfer

Subclasses of ECFException in org.eclipse.ecf.filetransfer
Modifier and Type
Class
Description
`class`
`BrowseFileTransferException`
Exception thrown upon browse problem
`class`
`IncomingFileTransferException`
Exception thrown upon incoming file transfer problem
`class`
`InvalidFileRangeSpecificationException`
`class`
`RemoteFileSystemException`
`class`
`SendFileTransferException`
Outgoing file transfer exception
`class`
`UserCancelledException`
Exception class for user cancellation

## Uses of ECFException in org.eclipse.ecf.filetransfer.identity

Subclasses of ECFException in org.eclipse.ecf.filetransfer.identity
Modifier and Type
Class
Description
`class`
`FileCreateException`
Exception class for creation of `IFileID` instances via `FileIDFactory`

## Uses of ECFException in org.eclipse.ecf.provider.comm

Subclasses of ECFException in org.eclipse.ecf.provider.comm
Modifier and Type
Class
Description
`class`
`ConnectionCreateException`
Exception class for connection creation exceptions
Methods in org.eclipse.ecf.provider.comm that throw ECFException
Modifier and Type
Method
Description
`Object`
IConnection.`connect(ID targetID, Object data, int timeout)`
Connect to a remote process

## Uses of ECFException in org.eclipse.ecf.provider.comm.tcp

Methods in org.eclipse.ecf.provider.comm.tcp that throw ECFException
Modifier and Type
Method
Description
`Object`
Client.`connect(ID remote, Object data, int timeout)`
`Object`
SSLClient.`connect(ID remote, Object data, int timeout)`
`protected Socket`
Client.`createConnectSocket(URI remote, int timeout)`
`protected URI`
Client.`parseRemoteID(ID remote)`

## Uses of ECFException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw ECFException
Modifier and Type
Method
Description
`protected SOConfig`
SOContainer.`createSharedObjectConfig(ID id, ISharedObject obj, Map props)`
`protected SOWrapper`
SOContainer.`createSharedObjectWrapper(ID id, ISharedObject s, Map props)`

## Uses of ECFException in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that throw ECFException
Modifier and Type
Method
Description
`Object`
RemoteServiceImpl.`callSync(IRemoteCall call)`
`protected Object`
RegistrySharedObject.`callSynch(RemoteServiceRegistrationImpl registration, IRemoteCall call)`
`void`
RemoteServiceImpl.`fireAsync(IRemoteCall call)`
`protected Request`
RegistrySharedObject.`sendFireRequest(RemoteServiceRegistrationImpl remoteRegistration, IRemoteCall call)`

## Uses of ECFException in org.eclipse.ecf.remoteservice

Methods in org.eclipse.ecf.remoteservice with parameters of type ECFException
Modifier and Type
Method
Description
`protected void`
AbstractRemoteService.`handleInvokeSyncException(String methodName, ECFException e)`
Methods in org.eclipse.ecf.remoteservice that throw ECFException
Modifier and Type
Method
Description
`Object`
IRemoteService.`callSync(IRemoteCall call)`
Call remote method specified by call parameter synchronously.
`void`
IRemoteService.`fireAsync(IRemoteCall call)`
Fire remote method specified by call parameter.
`Object`
AbstractRemoteService.`getProxy()`
`Object`
AbstractRemoteService.`getProxy(ClassLoader cl, Class[] interfaces)`
`Object`
IRemoteService.`getProxy()`
Get local proxy for remote interface.
`Object`
IRemoteService.`getProxy(ClassLoader cl, Class[] interfaceClasses)`
Get local proxy for remote interface.
`protected Object`
AbstractRemoteService.`invokeSync(IRemoteCall call)`
`static Object`
RemoteServiceHelper.`syncExec(IRemoteService remoteService, String method, Object[] parameters)`
Invoke given method synchronously, blocking the calling thread until a result is received or timeout.
`static Object`
RemoteServiceHelper.`syncExec(IRemoteService remoteService, String method, Object[] parameters, long timeout)`
Invoke given method synchronously, blocking the calling thread until a result is received or timeout.

## Uses of ECFException in org.eclipse.ecf.remoteservice.client

Methods in org.eclipse.ecf.remoteservice.client that throw ECFException
Modifier and Type
Method
Description
`Object`
AbstractClientService.`callSync(IRemoteCall call)`
`Object`
AbstractRSAClientService.`callSync(IRemoteCall call)`
`void`
AbstractClientService.`fireAsync(IRemoteCall call)`
`protected void`
AbstractClientService.`handleInvokeException(String message, Throwable e)`
`protected Object`
AbstractRSAClientService.`invokeAsync(AbstractRSAClientService.RSARemoteCall remoteCall)`
Invoke a remote call asynchronously.
`protected abstract Object`
AbstractClientService.`invokeRemoteCall(IRemoteCall call, IRemoteCallable callable)`
Invoke remote call.
`protected Object`
AbstractRSAClientService.`invokeRemoteCall(IRemoteCall call, IRemoteCallable callable)`
`protected Object`
AbstractClientService.`invokeSync(IRemoteCall remoteCall)`
`protected Object`
AbstractRSAClientService.`invokeSync(AbstractRSAClientService.RSARemoteCall remoteCall)`
Invoke a remote call synchronously.

## Uses of ECFException in org.eclipse.ecf.remoteservice.rest

Subclasses of ECFException in org.eclipse.ecf.remoteservice.rest
Modifier and Type
Class
Description
`class`
`RestException`

## Uses of ECFException in org.eclipse.ecf.remoteservice.rest.client

Methods in org.eclipse.ecf.remoteservice.rest.client that throw ECFException
Modifier and Type
Method
Description
`protected Object`
RestClientService.`invokeRemoteCall(IRemoteCall call, IRemoteCallable callable)`
Calls the Rest service with given URL of IRestCall.